drop table dwh.dwcusd91 ;  

create table dwh.dwcusd91 
    (  person_or_company                        varchar (1)    not null   	default 'p'
    ,  customer_number                          varchar (20)    not null  	default 'CU0001'
    ,  customer_status_cd                       varchar (4)    not null   	default 'stat'
    ,  salutation                               varchar (10)    not null  	default 'salutation' 
    ,  given_name                               varchar (30)    not null  	default 'given name' 
    ,  middle_initial                           varchar (1)    not null   	default 'a'
    ,  surname                                  varchar (30)    not null  	default 'surname' 
    ,  suffix                                   varchar (10)    not null  	default 'suffix' 
    ,  age                                      integer    not null  	  	default 1	
    ,  age_band                                 varchar (10)    not null 	default '000-005' 
    ,  date_of_birth                            datetime    not null 		default current_timestamp,
    ,  sex                                      varchar (1)    not null   	default 'f' 
    ,  marital_status                           varchar (4)    not null 	default 'low1' 
    ,  system_assigned_lt_value                 money    not null 		default 2
    ,  system_assigned_value_cd                 varchar (4)    not null 	default 'low2' 
    ,  agent_assigned_lt_value                  money    not null 		default 3
    ,  agent_assigned_value_cd                  varchar (4)    not null 	default 'low3' 
    ,  estimated_net_worth                      money    not null 		default 4
    ,  vip_cd                                   varchar (4)    not null 	default 'low4' 
    ,  customer_monthly_income                  money    not null 		default 5
    ,  family_monthly_income                    money    not null 		default 6
    ,  no_of_dependents                         integer    not null 		default 7
    ,  address_line1                            varchar (50)    not null	default 'address line 1'  
    ,  address_line2                            varchar (50)    not null	default 'address line 2'  
    ,  address_line3                            varchar (50)    not null	default 'address line 3'  
    ,  address_line4                            varchar (50)    not null	default 'address line 4'  
    ,  address_line5                            varchar (50)    not null	default 'address line 5'  
    ,  address_line6                            varchar (50)    not null	default 'address line 6'  
    ,  postcode                                 varchar (10)    not null	default 'postcode'  
    ,  city                                     varchar (20)    not null	default 'city'  
    ,  state                                    varchar (20)    not null	default 'state'  
    ,  country                                  varchar (20)    not null	default 'country'  
    ,  passport_number                          varchar (15)    not null	default 'passport#'  
    ,  drivers_licence                          varchar (15)    not null	default 'license#'  
    ,  household                                integer    not null 		default 8
    ,  ccd                                      integer    not null 		default 9	
    ,  geocode                                  integer    not null 		default 10
    ,  lifestyle_code                           varchar (4)    not null 	default 'lfcd' 
    ,  bus_phone                                varchar (20)    not null	default 'bus phone'  
    ,  bus_fax                                  varchar (20)    not null	default 'bus fax'  
    ,  mobile_phone                             varchar (20)    not null	default 'mob phone'  
    ,  email_address                            varchar (255)    not null	default 'email.me@email.address.com'  
    ,  home_phone                               varchar (20)    not null 	default 'home phone' 
    ,  home_fax                                 varchar (20)    not null 	default 'home fax' 
    ,  city_of_birth                            varchar (20)    not null 	default 'city of birth' 
    ,  country_of_birth                         varchar (20)    not null 	default 'country of birth' 
    ,  job_title                                varchar (30)    not null 	default 'job title' 
    ,  no_life_policies                         integer    not null 		default 11
    ,  total_no_policies                        integer    not null 		default 12
    ,  customer_class_cd                        varchar (4)    not null 	default 'cccd' 
    ,  occupation                               varchar (30)    not null 	default 'occupation' 
    ,  home_ownership_cd                        varchar (4)    not null 	default 'hocd' 
    ,  mortgage_cd                              varchar (4)    not null 	default 'mgcd' 
    ,  level_of_education_cd                    varchar (4)    not null 	default 'lecd' 
    ,  religion_cd                              varchar (4)    not null 	default 'recd' 
    ,  preferred_language_cd                    varchar (4)    not null 	default 'plcd' 
    ,  disability_cd                            varchar (4)    not null 	default 'dicd' 
    ,  bankrupt_flag                            varchar (1)    not null 	default 'b' 
    ,  black_list_flag                          varchar (1)    not null 	default 'c' 
    ,  planned_retirement_age                   integer    not null 		default 13
    ,  comp_biz_number                          varchar (30)    not null 	default 'biz001' 
    ,  comp_sic_cd                              varchar (10)    not null 	default 'sic code' 
    ,  comp_type_cd                             varchar (4)    not null 	default 'ctcd' 
    ,  comp_revenue                             money    not null 		default 14
    ,  comp_name                                varchar (50)    not null 	default 'company name' 
    ,  comp_no_employees                        integer    not null 		default 15
    ,  constraint          pk_dwcusd91      primary key
       ( customer_number 
       )   
       on dwcufg01 
    ) 
  on dwcufg01  
;

