drop table dwh.cu_cust_dim_ins1 ; 

create table dwh.cu_cust_dim_ins1 
    (  cust_key                                 integer    not null 
    ,  level_col                                varchar (10)    not null 
    ,  dim_char_ky_fld                          varchar (150)    not null 
    ,  date_from                                datetime    not null 
    ,  date_to                                  datetime    not null 
    ,  current_flag                             integer    not null 
    ,  person_or_company                        varchar (1)    not null 
    ,  customer_number                          varchar (20)    not null 
    ,  customer_status_cd                       varchar (4)    not null 
    ,  salutation                               varchar (10)    not null 
    ,  given_name                               varchar (30)    not null 
    ,  middle_initial                           varchar (1)    not null 
    ,  surname                                  varchar (30)    not null 
    ,  suffix                                   varchar (10)    not null 
    ,  age                                      integer    not null 
    ,  age_band                                 varchar (10)    not null 
    ,  date_of_birth                            datetime    not null 
    ,  sex                                      varchar (1)    not null 
    ,  marital_status                           varchar (4)    not null 
    ,  system_assigned_lt_value                 money    not null 
    ,  system_assigned_value_cd                 varchar (4)    not null 
    ,  agent_assigned_lt_value                  money    not null 
    ,  agent_assigned_value_cd                  varchar (4)    not null 
    ,  estimated_net_worth                      money    not null 
    ,  vip_cd                                   varchar (4)    not null 
    ,  customer_monthly_income                  money    not null 
    ,  family_monthly_income                    money    not null 
    ,  no_of_dependents                         integer    not null 
    ,  address_line1                            varchar (50)    not null 
    ,  address_line2                            varchar (50)    not null 
    ,  address_line3                            varchar (50)    not null 
    ,  address_line4                            varchar (50)    not null 
    ,  address_line5                            varchar (50)    not null 
    ,  address_line6                            varchar (50)    not null 
    ,  postcode                                 varchar (10)    not null 
    ,  city                                     varchar (20)    not null 
    ,  state                                    varchar (20)    not null 
    ,  country                                  varchar (20)    not null 
    ,  passport_number                          varchar (15)    not null 
    ,  drivers_licence                          varchar (15)    not null 
    ,  household                                integer    not null 
    ,  ccd                                      integer    not null 
    ,  geocode                                  integer    not null 
    ,  lifestyle_code                           varchar (4)    not null 
    ,  bus_phone                                varchar (20)    not null 
    ,  bus_fax                                  varchar (20)    not null 
    ,  mobile_phone                             varchar (20)    not null 
    ,  email_address                            varchar (255)    not null 
    ,  home_phone                               varchar (20)    not null 
    ,  home_fax                                 varchar (20)    not null 
    ,  city_of_birth                            varchar (20)    not null 
    ,  country_of_birth                         varchar (20)    not null 
    ,  job_title                                varchar (30)    not null 
    ,  no_life_policies                         integer    not null 
    ,  total_no_policies                        integer    not null 
    ,  customer_class_cd                        varchar (4)    not null 
    ,  occupation                               varchar (30)    not null 
    ,  home_ownership_cd                        varchar (4)    not null 
    ,  mortgage_cd                              varchar (4)    not null 
    ,  level_of_education_cd                    varchar (4)    not null 
    ,  religion_cd                              varchar (4)    not null 
    ,  preferred_language_cd                    varchar (4)    not null 
    ,  disability_cd                            varchar (4)    not null 
    ,  bankrupt_flag                            varchar (1)    not null 
    ,  black_list_flag                          varchar (1)    not null 
    ,  planned_retirement_age                   integer    not null 
    ,  comp_biz_number                          varchar (30)    not null 
    ,  comp_sic_cd                              varchar (10)    not null 
    ,  comp_type_cd                             varchar (4)    not null 
    ,  comp_revenue                             money    not null 
    ,  comp_name                                varchar (50)    not null 
    ,  comp_no_employees                        integer    not null 
    ,  cust_key_ag1                             integer    not null 
    ,  cust_key_ag2                             integer    not null 
    ,  cust_key_ag3                             integer    not null 
    ,  cust_key_ag4                             integer    not null 
    ,  cust_key_ag5                             integer    not null 
    ,  cust_key_ag6                             integer    not null 
    ,  cust_key_ag7                             integer    not null 
    ,  cust_key_ag8                             integer    not null 
    ,  cust_key_ag9                             integer    not null 
    ,  constraint          pk_cu_cust_dim_ins1      primary key
       ( level_col 
       , dim_char_ky_fld 
       , date_from 
       , date_to 
       , current_flag 
       )   
       on dwcufg01 
    ) 
  on dwcufg01  
;

