drop table dwh.cu_cust_sum_dim_ins1 ; 

create table dwh.cu_cust_sum_dim_ins1 
    (  int_key                                  integer    not null 
    ,  level_col                                varchar (10)    not null 
    ,  person_or_company                        varchar (1)    not null 
    ,  customer_status_cd                       varchar (4)    not null 
    ,  age                                      integer    not null 
    ,  age_band                                 varchar (10)    not null 
    ,  date_of_birth                            datetime    not null 
    ,  sex                                      varchar (1)    not null 
    ,  marital_status                           varchar (4)    not null 
    ,  system_assigned_value_cd                 varchar (4)    not null 
    ,  agent_assigned_value_cd                  varchar (4)    not null 
    ,  vip_cd                                   varchar (4)    not null 
    ,  no_of_dependents                         integer    not null 
    ,  postcode                                 varchar (10)    not null 
    ,  city                                     varchar (20)    not null 
    ,  state                                    varchar (20)    not null 
    ,  country                                  varchar (20)    not null 
    ,  ccd                                      integer    not null 
    ,  geocode                                  integer    not null 
    ,  lifestyle_code                           varchar (4)    not null 
    ,  city_of_birth                            varchar (20)    not null 
    ,  country_of_birth                         varchar (20)    not null 
    ,  job_title                                varchar (30)    not null 
    ,  no_life_policies                         integer    not null 
    ,  total_no_policies                        integer    not null 
    ,  customer_class_cd                        varchar (4)    not null 
    ,  occupation                               varchar (30)    not null 
    ,  home_ownership_cd                        varchar (4)    not null 
    ,  mortgage_cd                              varchar (4)    not null 
    ,  level_of_education_cd                    varchar (4)    not null 
    ,  religion_cd                              varchar (4)    not null 
    ,  preferred_language_cd                    varchar (4)    not null 
    ,  disability_cd                            varchar (4)    not null 
    ,  bankrupt_flag                            varchar (1)    not null 
    ,  black_list_flag                          varchar (1)    not null 
    ,  planned_retirement_age                   integer    not null 
    ,  comp_sic_cd                              varchar (10)    not null 
    ,  comp_type_cd                             varchar (4)    not null 
    ,  constraint          pk_cu_cust_sum_dim_ins1      primary key
       ( int_key 
       )   
       on dwcufg01 
    ) 
  on dwcufg01  
;

