create view dwh.dwcutd91 
    (  int_key 
    ,  level_col 
    ,  dim_char_ky_fld 
    ,  date_from 
    ,  date_to 
    ,  current_flag 
    ,  person_or_company 
    ,  customer_number 
    ,  customer_status_cd 
    ,  salutation 
    ,  given_name 
    ,  middle_initial 
    ,  surname 
    ,  suffix 
    ,  age 
    ,  age_band 
    ,  date_of_birth 
    ,  sex 
    ,  marital_status 
    ,  system_assigned_lt_value 
    ,  system_assigned_value_cd 
    ,  agent_assigned_lt_value 
    ,  agent_assigned_value_cd 
    ,  estimated_net_worth 
    ,  vip_cd 
    ,  customer_monthly_income 
    ,  family_monthly_income 
    ,  no_of_dependents 
    ,  address_line1 
    ,  address_line2 
    ,  address_line3 
    ,  address_line4 
    ,  address_line5 
    ,  address_line6 
    ,  postcode 
    ,  city 
    ,  state 
    ,  country 
    ,  passport_number 
    ,  drivers_licence 
    ,  household 
    ,  ccd 
    ,  geocode 
    ,  lifestyle_code 
    ,  bus_phone 
    ,  bus_fax 
    ,  mobile_phone 
    ,  email_address 
    ,  home_phone 
    ,  home_fax 
    ,  city_of_birth 
    ,  country_of_birth 
    ,  job_title 
    ,  no_life_policies 
    ,  total_no_policies 
    ,  customer_class_cd 
    ,  occupation 
    ,  home_ownership_cd 
    ,  mortgage_cd 
    ,  level_of_education_cd 
    ,  religion_cd 
    ,  preferred_language_cd 
    ,  disability_cd 
    ,  bankrupt_flag 
    ,  black_list_flag 
    ,  planned_retirement_age 
    ,  comp_biz_number 
    ,  comp_sic_cd 
    ,  comp_type_cd 
    ,  comp_revenue 
    ,  comp_name 
    ,  comp_no_employees 
    ,  key_91_ag1 
    ,  key_91_ag2 
    ,  key_91_ag3 
    ,  key_91_ag4 
    ,  key_91_ag5 
    ,  key_91_ag6 
    ,  key_91_ag7 
    ,  key_91_ag8 
    ,  key_91_ag9 
    ) 
    as select
       cust_key 
    ,  level_col 
    ,  dim_char_ky_fld 
    ,  date_from 
    ,  date_to 
    ,  current_flag 
    ,  person_or_company 
    ,  customer_number 
    ,  customer_status_cd 
    ,  salutation 
    ,  given_name 
    ,  middle_initial 
    ,  surname 
    ,  suffix 
    ,  age 
    ,  age_band 
    ,  date_of_birth 
    ,  sex 
    ,  marital_status 
    ,  system_assigned_lt_value 
    ,  system_assigned_value_cd 
    ,  agent_assigned_lt_value 
    ,  agent_assigned_value_cd 
    ,  estimated_net_worth 
    ,  vip_cd 
    ,  customer_monthly_income 
    ,  family_monthly_income 
    ,  no_of_dependents 
    ,  address_line1 
    ,  address_line2 
    ,  address_line3 
    ,  address_line4 
    ,  address_line5 
    ,  address_line6 
    ,  postcode 
    ,  city 
    ,  state 
    ,  country 
    ,  passport_number 
    ,  drivers_licence 
    ,  household 
    ,  ccd 
    ,  geocode 
    ,  lifestyle_code 
    ,  bus_phone 
    ,  bus_fax 
    ,  mobile_phone 
    ,  email_address 
    ,  home_phone 
    ,  home_fax 
    ,  city_of_birth 
    ,  country_of_birth 
    ,  job_title 
    ,  no_life_policies 
    ,  total_no_policies 
    ,  customer_class_cd 
    ,  occupation 
    ,  home_ownership_cd 
    ,  mortgage_cd 
    ,  level_of_education_cd 
    ,  religion_cd 
    ,  preferred_language_cd 
    ,  disability_cd 
    ,  bankrupt_flag 
    ,  black_list_flag 
    ,  planned_retirement_age 
    ,  comp_biz_number 
    ,  comp_sic_cd 
    ,  comp_type_cd 
    ,  comp_revenue 
    ,  comp_name 
    ,  comp_no_employees 
    ,  cust_key_ag1 
    ,  cust_key_ag2 
    ,  cust_key_ag3 
    ,  cust_key_ag4 
    ,  cust_key_ag5 
    ,  cust_key_ag6 
    ,  cust_key_ag7 
    ,  cust_key_ag8 
    ,  cust_key_ag9 
    from dwh.cu_cust_dim_ins1 
