create view dwh.dwcutd92 
    (  int_key 
    ,  level_col 
    ,  person_or_company 
    ,  customer_status_cd 
    ,  age 
    ,  age_band 
    ,  date_of_birth 
    ,  sex 
    ,  marital_status 
    ,  system_assigned_value_cd 
    ,  agent_assigned_value_cd 
    ,  vip_cd 
    ,  no_of_dependents 
    ,  postcode 
    ,  city 
    ,  state 
    ,  country 
    ,  ccd 
    ,  geocode 
    ,  lifestyle_code 
    ,  city_of_birth 
    ,  country_of_birth 
    ,  job_title 
    ,  no_life_policies 
    ,  total_no_policies 
    ,  customer_class_cd 
    ,  occupation 
    ,  home_ownership_cd 
    ,  mortgage_cd 
    ,  level_of_education_cd 
    ,  religion_cd 
    ,  preferred_language_cd 
    ,  disability_cd 
    ,  bankrupt_flag 
    ,  black_list_flag 
    ,  planned_retirement_age 
    ,  comp_sic_cd 
    ,  comp_type_cd 
    ) 
    as select
       int_key 
    ,  level_col 
    ,  person_or_company 
    ,  customer_status_cd 
    ,  age 
    ,  age_band 
    ,  date_of_birth 
    ,  sex 
    ,  marital_status 
    ,  system_assigned_value_cd 
    ,  agent_assigned_value_cd 
    ,  vip_cd 
    ,  no_of_dependents 
    ,  postcode 
    ,  city 
    ,  state 
    ,  country 
    ,  ccd 
    ,  geocode 
    ,  lifestyle_code 
    ,  city_of_birth 
    ,  country_of_birth 
    ,  job_title 
    ,  no_life_policies 
    ,  total_no_policies 
    ,  customer_class_cd 
    ,  occupation 
    ,  home_ownership_cd 
    ,  mortgage_cd 
    ,  level_of_education_cd 
    ,  religion_cd 
    ,  preferred_language_cd 
    ,  disability_cd 
    ,  bankrupt_flag 
    ,  black_list_flag 
    ,  planned_retirement_age 
    ,  comp_sic_cd 
    ,  comp_type_cd 
    from dwh.cu_cust_sum_dim_ins1 
